@echo off
REM ********************************************************************
REM (C) Copyright IBM Corp.  2005-2006
REM The source code for this program is not published or otherwise
REM divested of its trade secrets, irrespective of what has been
REM deposited with the U.S. Copyright Office.
REM ********************************************************************/


if "%DB2TEMPDIR%X" == "X" goto env_error

if "%1X" == "X" goto param_error

SET DB=%1
SET DB_USER=%2
SET DB_USER_PWD=%3
SET CON_USER=%4
SET UDF=%DB_USER%

if "%CON_USER%X" == "X" (db2 connect to %DB% USER %DB_USER% USING %DB_USER_PWD%
)else (db2 connect to %DB% USER %CON_USER% USING %CON_USER_PWD%)



FOR %%c IN (*.bnd) do db2 bind %%c DATETIME ISO ISOLATION UR BLOCKING ALL QUALIFIER %UDF%
if %ERRORLEVEL%  ==  0 goto :success_msg

:env_error
echo Error: %DB2TEMPDIR% not defined
goto done

:param_error
echo Usage: bindall QUALIFIER
goto done

:finish_with_error
db2 connect reset

echo *******************************************************************************
echo ******************************************************* ERROR HAS OCCURED *****
echo *******************************************************************************
@echo off

goto done
:success_msg
db2 connect reset
db2 force applications all
db2stop force
copy /y *.dll "%DB2TEMPDIR%"function
if %ERRORLEVEL%  NEQ   0 goto :copy_error
copy /y *.dll "%DB2TEMPDIR%"function\unfenced
if %ERRORLEVEL%  NEQ   0 goto :copy_error
db2start
goto :done

echo *******************************************************************************
echo ************************************** SUCCESSFUL COMPILE, BIND, AND LINK *****
echo *******************************************************************************
@echo off

:copy_error
@echo Cannot copy IBMRPM.dll from "%CSP_DIR%" folder into "%DB2TEMPDIR%"function\ or "%DB2TEMPDIR%"function\unfenced\ folder. >> "%LOG_DIR%"\DB_CHECK.log
@echo Please copy it manually before or after the installation. >> "%LOG_DIR%"\DB_CHECK.log
@echo "ERROR_CODE_400007=ERROR: 'Error occurred during the copying the RPM library file into %DB2TEMPDIR%function and  %DB2TEMPDIR%function\unfenced\ directories.'" >> "%LOG_DIR%"\DB_CHECK.log
set ERROR_RETURN=400007
@echo %ERROR_RETURN% >> "%LOG_DIR%"\error_return.txt
goto :done

:done

